// eslint-disable-next-line no-unused-vars
import { validPhoneNumber, validIdCard } from '@/utils/validate'

export function validatePhoneNumber(rule, value, callback) {
  if (!value) {
    callback(new Error('请输入'))
  } else {
    callback()
  }
  //  else if (!validPhoneNumber(value)) {
  //   callback(new Error('请正确填写'))
  // }
}

export function validatePassword(rule, value, callback) {
  if (!value) {
    callback(new Error('请输入'))
  } else if (value.length < 6) {
    callback(new Error('请输入大于6位的密码'))
  } else {
    callback()
  }
}

export function validateManagers(rule, value, callback) {
  if (!value || !value.length) {
    callback(new Error('请选择'))
  } else if (value.length > 2) {
    callback(new Error('项目负责人不得超过2人'))
  } else {
    callback()
  }
}

export function validateIdCard(rule, value, callback) {
  if (!value) {
    callback(new Error('请输入'))
  } else if (!validIdCard(value)) {
    callback(new Error('请正确填写'))
  } else {
    callback()
  }
}

